/* ----------------------------------------------------------------

 * objects and funtions for

 * MatchDetails.asp

 * ---------------------------------------------------------------- */



/* ----------------------------------------------------------------

 * Get match by team id data

 * ---------------------------------------------------------------- */

function matchDetails() {

};



matchDetails.arena = function(id, name, weatherId, sold) {

  this.id = id;

  this.name = name;

  this.weatherId = weatherId;

  this.sold = sold;

};

 

matchDetails.HTTPGet = function (matchId) {

    var URL;



    URL = HTTP.hattrickServer + "/Common/MatchDetails.asp?" + HTTP.type 

        + "&actionType=view"

        + "&matchID=" + matchId;



    EventSystem.HTTPRequest(URL, matchDetails.ParseGet, "Get Match Details");

};



matchDetails.ParseGet = function(xml) {

  var regArenaStr = "(<Arena>(?:.*?)</Arena>)";

  var regExp, found;

  var arena, matchId;



  try {

    matchId = matchDetails.parseMatchId(xml);

    if (matchId) {

      regExp = new RegExp(regArenaStr);

      found = regExp.exec(xml);

      arena = matchDetails.parseArena(found[1]);

      match = new Match(matchId, null, null, null, null, arena);

      match = Match.Update(match);

      LiveFox.DOM.UpdateLiveMatch(Match.List["_"+matchId]);  

    }

  } catch(e) {

    alert("Parse MatchDetails: " + e);

  }

};



matchDetails.parseMatchId = function(xml) {

  return parseInt(Util.Parse("<MatchID>(.*?)</MatchID>", xml), 10);

};



matchDetails.parseArena = function(xml) {

  return new matchDetails.arena(

    matchDetails.parseArenaId(xml),

    matchDetails.parseArenaName(xml),

    null, null

  )

};



matchDetails.parseArenaId = function (xml) {

  return Util.Parse("<ArenaID>(.*?)</ArenaID>", xml);

};

matchDetails.parseArenaName = function (xml) {

  return Util.Parse("<ArenaName>(.*?)</ArenaName>", xml);

};

matchDetails.parseWeatherId = function (xml) {

  return Util.Parse("<WeatherID>(.*?)</WeatherID>", xml);

};

matchDetails.parseSoldTotal = function (xml) {

  return Util.Parse("<SoldTotal>(.*?)</SoldTotal>", xml);

};





